﻿
<div id="lookup-supplier" class="modal fade" data-backdrop="static">
    <div class="modal-dialog modal-lg">
        <div class="modal-content">
            <div class="modal-header">
                <span class="close" data-dismiss="modal">&times;</span>
                Select Suppliers
            </div>
            <div class="modal-body">
                <table id="table-lookup-supp" class="table table-striped table-bordered" style="width: 100%"></table>
            </div>
            <div class="modal-footer">
                <button type="button" class="btn btn-default" data-dismiss="modal"><i class="glyphicon glyphicon-remove"></i> Close</button>
            </div>
        </div>
    </div>
</div>

<script type="text/javascript">
    var lookupsupp = {
                dt: null,
                init: function () {
                    dt = $("#table-lookup-supp").DataTable({
                        serverSide: true,
                        processing: true,
                        scrollX: true,
                        ajax: {
                            url: "@Url.Action("Get","Suppliers")"
                        },
                        aaSorting: [[1, 'asc']],
                        columns: [
                            {
                                data: 'SupplierID', render: function () {
                                    return '<a href="javascript:" onclick="selectSupp(this)"><i class="glyphicon glyphicon-ok"></i></a>';
                                },
                                sortable: false
                            },
                            { title: 'Supplier ID', data: 'SupplierID' },
                            { title: 'Name', data: 'CompanyName' },
                            { title: 'Contact Title', data: 'ContactTitle' },
                            { title: 'Contact Name', data: 'ContactName' },
                            { title: 'City', data: 'City' }
                        ],
                        lengthMenu: [[5, 10, 25, 50, 100], [5, 10, 25, 50, 100]]
                    });
                },
                refresh: function () {
                    dt.ajax.reload(); 
                }
    };

    lookupsupp.init();

    function lookupSupp() {  
        $("#lookup-supplier").modal();
    }

    function selectSupp(e) {
        var tr = $(e).parent().parent();
        $("#Products_SupplierID").val(tr.children("td:eq(1)").text());
        $("#Supplier_CompanyName").val(tr.children("td:eq(2)").text());
        $("#lookup-supplier").modal('hide');
    }
</script>
